Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::PdfArray Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfArray ()
| ~PdfArray ()
virtual const PdfArray * | array () const
virtual void | write (Stream &stream) const
void | append (const PdfObj *)
int | count () const
const PdfObj * | obj (int index, const PdfFile *file) const
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const
virtual const PdfBool * | boolean () const
virtual const PdfNumber * | number () const
virtual const PdfString * | string () const
virtual const PdfName * | name () const
virtual const PdfRef * | ref () const
virtual const PdfDict * | dict () const
String | repr () const

## Detailed Description

The PDF array object.

## Constructor & Destructor Documentation

ipe::PdfArray::PdfArray | ( |  | ) |

inlineexplicit

PdfArray::~PdfArray | ( |  | ) |

## Member Function Documentation

const PdfArray * PdfArray::array | ( |  | ) | const

virtual

Return this object as PDF array object.

Reimplemented from ipe::PdfObj.

void PdfArray::write | ( | Stream & | stream | ) | const

virtual

Implements ipe::PdfObj.

void PdfArray::append | ( | const PdfObj * | obj | ) |

Append an object to array.

Array takes ownership of the object.

int ipe::PdfArray::count | ( |  | ) | const

inline

const PdfObj * PdfArray::obj | ( | int | index,
|  | const PdfFile * | file
| ) |  | const

Return object with index in array.

Indirect objects (references) are looked up if file is not zero, and the object referred to is returned (0 if it does not exist). Object remains owned by array.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp